//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/rocket_turret.h                                          $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:20 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Rocket based turret

#ifndef __ROCKET_TURRET_H__
#define __ROCKET_TURRET_H__

#include "turret.h"

class RocketTurret : public Turret
{
protected:
	Vector new_orientation;
	Vector enemy_oldorigin;

public:
	CLASS_PROTOTYPE( RocketTurret );

	float speed;
	float rate;

	RocketTurret();
	virtual void   Seek( Event* ev );
	virtual void   Turn( Event* ev );
	virtual void   SetSpeed( Event* ev );
	virtual void   SetRate( Event* ev );
	virtual void   Archive( Archiver& arc );
	virtual void   Unarchive( Archiver& arc );
};


#endif // rocket_turret
